package de.ozgcloud.nachrichten.postfach.osiv2.factory;

import de.ozgcloud.nachrichten.postfach.PostfachAddress;

public class PostfachAddressTestFactory {

	public static final String MAILBOX_ID = "testMailboxId";

	public static PostfachAddress create() {
		return createBuilder().build();
	}

	public static PostfachAddress.PostfachAddressBuilder createBuilder() {
		return PostfachAddress.builder()
				.type(1)
				.identifier(DummyStringBasedIdentifier.builder()
						.mailboxId(MAILBOX_ID)
						.build());
	}
}
